$(function(){
    $.ajaxSetup({cache: false, asysnc: true, timeout: 90000});
    alterWidth4RadiusButton();

    // 取扱説明書ダウンロード実行確認ダイアログ
    $('#confirm_dl_um').dialog({
        modal: true,
        autoOpen: false,
        minWidth: 410,
        resizable: false,
        open: function(event, ui){
            $('.ui-dialog-titlebar-close').hide();
        },
        buttons: {
            'OK': function(){
                // 設定ファイルの転送
                dlUserManual();
                $(this).dialog('close');
            },
            'Cancel': function(){
                $(this).dialog('close');
            }
        }
    });

    // 設定ファイル作成アプリケーションダウンロード実行確認ダイアログ
    $('#confirm_dl_sa').dialog({
        modal: true,
        autoOpen: false,
        minWidth: 450,
        resizable: false,
        open: function(event, ui){
            $('.ui-dialog-titlebar-close').hide();
        },
        buttons: {
            'OK': function(){
                // 設定ファイルの転送
                dlSettingApp();
                $(this).dialog('close');
            },
            'Cancel': function(){
                $(this).dialog('close');
            }
        }
    });

    // サポートデータ取得実行確認ダイアログ
    $('#confirm_dl_logs').dialog({
        modal: true,
        autoOpen: false,
        minWidth: 330,
        resizable: false,
        open: function(event, ui){
            $('.ui-dialog-titlebar-close').hide();
        },
        buttons: {
            'OK': function(){
                // 設定ファイルの転送
                dlAileunLogFiles();
                $(this).dialog('close');
            },
            'Cancel': function(){
                $(this).dialog('close');
            }
        }
    });

    // 実行中ダイアログ
    $('#executing_process_dl_log').dialog({
        modal: true,
        autoOpen: false,
        open: function(event, ui){
            $('.ui-dialog-titlebar-close').hide();
        }
    });

    // 取扱説明書ダウンロード実行ボタンクリック時の処理
    $('#btn_dl_um_execute').click(function(){
        // Basic認証がOKの場合ダイアログ表示
        if(doBasicAuthorize()){
            $('#confirm_dl_um').dialog('open');
        }
    });

    // 設定ファイル作成アプリケーションダウンロード実行ボタンクリック時の処理
    $('#btn_dl_sa_execute').click(function(){
        // Basic認証がOKの場合ダイアログ表示
        if(doBasicAuthorize()){
            $('#confirm_dl_sa').dialog('open');
        }
    });

    // サポートデータダウンロード実行ボタンクリック時の処理
    $('#btn_dl_logs_execute').click(function(){
        // Basic認証がOKの場合ダイアログ表示
        if(doBasicAuthorize()){
            $('#confirm_dl_logs').dialog('open');
        }
    });
});

function dlAileunLogFiles(){
    var cgiUrl = createCgiUrl(location, "getAileLogFiles.pl");

    $('#executing_process_dl_log').dialog('open');
    $('#executing_process_dl_log_message').html('ファイル転送中....' + loading_img);

    $.ajax({
        type: 'POST',
        url: cgiUrl,
        data: {},
        dataType: 'json',
        complete: function(jqXHR, textStatus){
            $('#executing_process_dl_log').dialog('close');
            $('#executing_process_dl_log_message').html("");
            if(textStatus == const_timeout){
                $('#timeout_error').dialog('open');
            }
        },
        success: function(res){
            if(res['status'] != 0){
                alert(res['message']);
            }else{
                location.href = res['data']['RedirectUrl'];
            }
        }
    });
}

function dlUserManual(){
    var dlUrl = createDataDlUrl(location, "data/aileun3_manual_network.pdf");
    window.open(dlUrl, '_blank');
}

function dlSettingApp(){
    var dlUrl = createDataDlUrl(location, "data/Aileun3SettingToolSetup.exe.zip");
    window.open(dlUrl, '_blank');
}
